var Game1 = {};

Game1.Boot = function(game){};
Game1.Boot.prototype = {
  preload: function() {
    //assets we'll use in the loading screen
    this.load.image('preloadbar', 'img/preloader-bar.png');
  },
  create: function() {
    //loading screen will have a white background
   // this.game.stage.backgroundColor = '#fff';
this.time.advancedTiming = true;
      this.input.maxPointers = 1;
this.stage.disableVisibilityChange = true;
if (this.game.device.desktop)
{
this.scale.scaleMode =Phaser.ScaleManager.SHOW_ALL;
this.scale.setMinMax(480, 270, 2560, 1440);
this.scale.pageAlignHorizontally = true;
this.scale.pageAlignVertically = true;
this.scale.setScreenSize(true);
this.scale.refresh();
}
else
{
this.scale.scaleMode = Phaser.ScaleManager.SHOW_ALL;
this.scale.setMinMax(480, 270, 1280, 720);
this.scale.pageAlignHorizontally = true;
this.scale.pageAlignVertically = true;
this.scale.forceOrientation(true, false);
this.scale.setResizeCallback(this.gameResized, this);
//this.scale.enterIncorrectOrientation.add(this.enterIncorrectOrientation, this);
//this.scale.leaveIncorrectOrientation.add(this.leaveIncorrectOrientation, this);
this.scale.setScreenSize(true);
this.scale.refresh();
}
      
      
    //scaling options
  //  this.scale.scaleMode =2;
   //this.scale.fullScreenScaleMode = Phaser.ScaleManager.EXACT_FIT;
    //have the game centered horizontally
   // this.scale.pageAlignHorizontally = true;
   // this.scale.pageAlignVertically = true;

    //screen size will be set automatically
  //  this.scale.setScreenSize(true);
// this.game.scale.refresh();
    //physics system
    //this.game.physics.startSystem(Phaser.Physics.ARCADE);
    //this.game.add.plugin(Phaser.Plugin.Tiled);
    this.stage.backgroundColor = '#ffffff';
    this.state.start('Preload');
  }
};